######## Filtro F-K ##########################
##############################################
# Davide - September 2013
# Gain test
# This script read a dataset, applies different kind of gains and plots the 
# gained data and the envelope of a specific trace

infile=vsz_brine_hti
envTrace=160 

## GAIN TEST

## Plotting windows parameters
dx=30 # horizontal shift of subsequent windows
dy=30 # vertical shift of subsequent windows
xbox2=0
ybox2=10
xbox1=1200
ybox1=7

#############################################
## TPOW
## Sin ganancia poner tpow=0.0
#############################################
tpow=1.0
suwind<$infile.su  tmin=0 tmax=0.9  | sugain tpow=$tpow >testgain.su
suwind<testgain.su key=tracl  | suattributes mode=amp | suop op=db >tmp1
## Apply the gain to the whole section
#supsimage<testgain.su xbox=$xbox2 ybox=$ybox2 perc=99 label1="Traveltime" label2="Envelope (dB)" title="TPOW  1.6 " > $1.1ps 
rm tmp1





# Input seismic file
indata=testgain.su



# Processing variables [ Instructions below ]
dx=1  # trace spacing
dt=1  # time sample interval

#================================================
 suximage < $indata xbox=$xbox2 ybox=$ybox2 perc=99   \
            label1=" Time (s)" label2="Offset" \
            title="TPOW  1.2 , Original data " key1=offset \
             verbose=0 &

suspecfk < $indata dx=$dx dt=$dt  |
suximage   xbox=$xbox2 ybox=$ybox2   \
           label1=" Frequency (Hz)" label2="Wavenumber (k)"\
           title="TPOW  1.2 , f-k spectrum, no filter" \
           cmap=hsv2 legend=1 units=Amplitude verbose=0 \
           grid1=dots grid2=dots perc=99 &

#================================================

#------------------------------------------------
# Apply filters, plot seismic data, plot f-k data
#------------------------------------------------
#####################################################################
# Apply reject filter pendiente positivas
# Para cambiar las pendientes modificar la variable slopes
#####################################################################
  sudipfilt < $indata dx=$dx dt=$dt slopes=-200,-10,-6,-1 amps=1,0,0,1 > tmp1
 
 #   sudipfilt < $indata dx=$dx dt=$dt slopes=-23,-16,-9,-2 amps=1,0,0,1 > tmp1

#####################################################################
# Apply reject filter pendiente negativa
# Para cambiar las pendientes modificar la variable slopes
#####################################################################
 sudipfilt < tmp1 dx=$dx dt=$dt slopes=1,6,10,200 amps=1,0,0,1 >tmp2

sudipfilt < tmp2 dx=$dx dt=$dt slopes=-200,-10,-4,-1 amps=1,0,0,1 > tmp1

sudipfilt < tmp1 dx=$dx dt=$dt slopes=1,4,10,200 amps=1,0,0,1 |sumute key=tracl\
             xmute=1,160 tmute=0.25,0.25 > tmp2
 
#  sudipfilt < tmp1 dx=$dx dt=$dt slopes=2,9,16,23 amps=1,0,0,1 > tmp2
# Plot seismic rejected data
   suximage<tmp2   xbox=$xbox2 ybox=$ybox2   d2=0.007522\
              label1="Time (s)" label2="Offset" \
              title="TPOW  1.0 , After f-k REJECT filter" key=offset \
              verbose=0 perc=99 &


# Plot f-k rejected data
  suspecfk < tmp2 dx=$dx dt=$dt |
  suximage   xbox=$xbox2 ybox=$ybox2 perc=99  d2=0.007522\
             label1=" Frequency (Hz)" label2="Wavenumber (k)" \
             title="TPOW 1.0 , f-k Spectrum after REJECT filter" \
             cmap=hsv2 legend=1 units=Amplitude verbose=0 \
             grid1=dots grid2=dots perc=99 &


supsimage<$indata perc=99 key1=Geophone  label1="Time (s)" label2="Geophone"  > vsz_brine_hti_original_tpow_1.ps &
supsimage<tmp2  perc=99 key1=Geophone  label1="Time (s)" label2="Geophone"  > vsz_brine_hti_filtrado_tpow_1.ps &

#supsimage<tmp2 xbox=$xbox2 ybox=$ybox2 perc=99  label1="Time (s)" label2="Distance (km)" title=" " > vsz_brine_hti_point_source_up_to_700ms_TPOW_1.6_filtrado.ps & 

cp tmp2 vsz_10CO2_hti_filtrado.su

rm tmp1 tmp2  

